/* Global Styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Urbanist, system-ui, Avenir, Helvetica, Arial, Helvetica, sans-serif;
  color-scheme: light dark;
}

html {
  font-size: 62.5%;
  color: var(--bg-color);
}

:root {
  --bg-color: #f4f3ff;
  --btn-color: #646cff;
  --dark-color: #242424;
  --help-color: #99b9ff;
}

body {
  margin: 0;
  background-color: rgba(0, 0, 0, 0.984);
}

a {
  font-weight: 500;
  font-size: 1.8rem;
  letter-spacing: 0.2rem;
  color: var(--btn-color);
  text-decoration: inherit;
}

.container {
  max-width: 100%;
  padding: 4rem;
  margin: 0 auto;
  justify-content: space-around;

  @media (min-width: 768px) {
    max-width: 70%; /* Adjust as needed for tablet and desktop layouts */
    padding: 4rem; /* Adjust padding if needed */
  }

  @media (max-width: 576px) {
    /* Additional styles for even smaller screens (likely smartphones) */
    padding: 2rem; /* Adjust padding for smaller screens */
  }
}



/* Typography */
p,
li,
label,
input,
textarea {
  font-size: 1.8rem;
  line-height: 1.56;
  letter-spacing: 0.1rem;
  word-spacing: 0.06rem;
  color: var(--bg-color);
}

li {
  list-style-type: none;
}

h1 {
  font-size: 5.4rem;
  line-height: 1.1;
  font-weight: bold;
  color: var(--bg-color);

  @media (max-width: 768px) {
    font-size: 3.2rem; /* Adjust font size for smaller screens */
  }
}

h2 {
  font-size: 2.4rem;
  line-height: 1.1;
  font-weight: bold;
  color: var(--bg-color);

  @media (max-width: 768px) {
    font-size: 2rem; /* Adjust font size for smaller screens */
  }
}

/* Forms */
.registration-form {
  display: flex;
  flex-direction: column; /* Empiler les éléments verticalement */
  align-items: flex-end; /* Aligner les éléments à droite */
  /* gap: 20px;  */
  color: var(--bg-color);
}

.registration-form form {
  display: flex;
  flex-direction: column;
  gap: 3.2rem;
}

.registration-form input {
  width: 100%;
  margin-right: 10rem;
  background-color: var(--dark-color);
}

.registration-form label {
  display: block;
  text-transform: capitalize;
}

.registration-image {
  display: flex;
  border: none;
  justify-content: flex-start; /* Aligner l'image à gauche */
  margin-bottom: 20px; /* Marge en bas pour séparer l'image du formulaire */
}

/* Sections */
.section-registration {
  display: flex;
  justify-content: space-around; /* Espacement entre les éléments */
  align-items: center; /* Aligner les éléments en haut */
}

.btn-submit {
  color: var(--btn-color);
  cursor: pointer;
}

/*******HERO SECTION********/
.section-hero {
  display: flex;
  width: 100%;
  /* height: 100; */
  padding: 3%;
  margin: 0 auto;
}

.hero-content {
  display: grid;
  align-items: center;
  /*

.hero-image{
  display:  flex;
  justify-content: flex-end;
  /* margin-bottom: 20px; */
}

/******END HERO*********/
.container-grid-two-cols {
  display: grid;
  grid-template-columns: 1fr; /* Une seule colonne par défaut */
}

.container-grid-four-cols {
  display: grid;
  grid-template-columns: 1fr; /* Une seule colonne par défaut */
}

@media screen and (min-width: 768px) {
  .container-grid-two-cols {
    grid-template-columns: 2fr 1fr; /* Deux colonnes pour les écrans de taille moyenne et supérieure */
  }

  .container-grid-four-cols {
    grid-template-columns: 1fr 1fr 1fr 1fr; /* Quatre colonnes pour les écrans de taille moyenne et supérieure */
  }
}



.btn1{
  display: inline-block;
  width: auto;
  height: auto;
  text-transform: capitalize;
  padding: 1rem 2.2rem;
  padding-left: 2rem;
  font-size: 1.7rem;
  font-weight:500 ;
  background-color: var(--btn-color);
  border-radius: 0.8rem;
  -webkit-border-radius: 0.8rem;
  -moz-border-radius: 0.8rem;
  -ms-border-radius: 0.8rem;
  -o-border-radius: 0.8rem;
  border: 0.1rem solid transparent;
  color: var(--bg-color);
  cursor: pointer;
  transition: border-color 0.3s;
  -webkit-transition: border-color 0.3s;
  -moz-transition: border-color 0.3s;
  -ms-transition: border-color 0.3s;
  -o-transition: border-color 0.3s;
  letter-spacing: 0.1rem;
  
}



.btn1:hover{
  box-shadow: inset 0 0 0 0.2rem var(--bg-color) ;
  border: 0.2rem solid #fff;
  
}
a:hover,
a.active{
  color: #535bf2;
}

/*******Analytics section********/
/*******Analytics section********/



  .section-analitycs {
    
    margin-left: 20rem;
    margin-right: 20rem;
    margin-bottom: 5rem;
  
  & .container-grid-four-cols {
      width: 100%; 
      border-radius: 1rem;
      background-color: var(--bg-color);
      
    }

  }


.div1{
display: grid;
  justify-content:center ;
  align-items: center;
  text-align: center;
  height: auto;
  border-right: 0.2rem solid var(--dark-color);
  
}

.div1 h2{
  color: var(--dark-color);
  font-size: 2.8rem;

}

.div1 p{
  color: var(--dark-color);

}

.contact-content{
  padding: 0;
}
.contact-content h1{
  margin-bottom: 3.2rem;
}

.section-form form{
  display: flex;
  flex-direction: column;
  gap: 3.2rem;
 
}

.section-contact{
  margin-right: 15rem;
}

.section-form input,textarea{
  width: 80%;
  padding: 0.2rem 0.6rem;
  background-color: var(--dark-color);

}

.section-form label{
  display: block;
  margin-bottom: 1.2rem;
  text-transform: capitalize;
}

.contact-img{
  display: grid;
  justify-content: center;
  align-items: center;
 /* margin-left: 10rem; */
}
.main-heading{
  margin-left: 20rem;
}


button{
  display: inline-block;
  width: auto;
  height: auto;
  text-transform: capitalize;
  padding: 1rem 2.2rem;
  padding-left: 2rem;
  font-size: 1.7rem;
  font-weight:500 ;
  background-color: var(--btn-color);
  border-radius: 0.8rem;
  -webkit-border-radius: 0.8rem;
  -moz-border-radius: 0.8rem;
  -ms-border-radius: 0.8rem;
  -o-border-radius: 0.8rem;
  border: 0.1rem solid transparent;
  color: var(--bg-color);
  cursor: pointer;
  transition: border-color 0.3s;
  -webkit-transition: border-color 0.3s;
  -moz-transition: border-color 0.3s;
  -ms-transition: border-color 0.3s;
  -o-transition: border-color 0.3s;
  letter-spacing: 0.1rem;
  margin-top: 1rem;
  margin-bottom: 3rem;
}

.bouton:hover {
  border-color: #fff; /* Change la couleur de la bordure au survol */
}

.card{
  display: grid;
  border: 0.2rem solid white;
  grid-template-columns: 1fr  ;
  justify-content: center;
  gap: 0.1rem;
  margin-bottom: 2rem;
  background-color: black;
  align-items: center;
  width: auto;
}

.container-grid-three-cols{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 20px;
}

.card-img{
  display: grid;
  justify-content: center;
  align-items: center;
  max-width: 100%;
}

.grid-grid-two-cols{
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  margin-bottom: 20px;
  margin-top: 20px;
  margin-left: 20px;
  margin-right: 20px;
}

.card-prix{
  display: grid;
  justify-content: center;
  align-items: center;
  max-width: 100%;
}
body tr {
  display: grid;
  align-items: center;
  justify-content: center;
  grid-template-columns: repeat(6,minmax(10rem, 1fr));
  margin-bottom: 2px;
  border-bottom: 2px solid transparent;
  color: var(--bg-color);
  font-size: 1.7rem;
  font-weight:500 ;
  border-radius: 0.8rem;
  -webkit-border-radius: 0.8rem;

  box-shadow: 0 0.3rem 0 grey;
  & :last-child {
    box-shadow: none;
  }
}

.custom-row-style {
  display: grid;
  align-items: center;
  justify-content: center;
  grid-template-columns: repeat(6,minmax(15rem, 1fr));
  margin-bottom: 2px;
  border-bottom: 2px solid transparent;
  color: var(--bg-color);
  font-size: 1.7rem;
  font-weight: 500;
  border-radius: 0.8rem;
  -webkit-border-radius: 0.8rem;
  box-shadow: 0 0.3rem 0 grey;
}

.custom-row-style:last-child {
  box-shadow: none;
}
.custom-row-styles {
  display: grid;
  align-items: center;
  justify-content: center;
  grid-template-columns: repeat(55,minmax(10rem, 1fr));
  margin-bottom: 2px;
  border-bottom: 2px solid transparent;
  color: var(--bg-color);
  font-size: 1.7rem;
  font-weight: 500;
  border-radius: 0.8rem;
  -webkit-border-radius: 0.8rem;
  box-shadow: 0 0.3rem 0 grey;
}

.custom-row-style:last-child {
  box-shadow: none;
}




table {
  background: #fff;
  box-shadow: rgba(255,255,255,0.2) 0px 7px 29px 0px;
  border-collapse: collapse;
  border-radius: 1rem; /* Ajout du point-virgule */
  -webkit-border-radius: 1rem;
  -moz-border-radius: 1rem;
  -ms-border-radius: 1rem;
  -o-border-radius: 1rem;
  margin-bottom: 2rem;
  width: 100%;
  max-width: 100%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 2rem;
  margin-bottom: 2rem;
}


td{
  font-size: 1.7rem;
  padding: 3rem;
  border: 0.2rem solid var(--dark-color);
  text-align: center;
  letter-spacing: 0.1rem;
  color: var(--dark-color);
  width: auto ;
  height: auto;
  border: none;
}

.container{
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  margin-bottom: 20px;
  margin-top: 20px;
  margin-left: 20px;
  margin-right: 20px;
}
.container-admin-users{
  display: grid;
  gap: 20px;
  margin-bottom: 20px;
  margin-top: 20px;
  margin-left: 10%;
  margin-right: 10%;
}  

.container-admin-userss{
  display: grid;
  gap: 20px;
  margin-bottom: 20px;
  margin-top: 20px;
  margin-left: 10%;
  margin-right: 10%;
} 

.containers{
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  justify-content: center;
  gap: 20px;
  margin-bottom: 20px;
  margin-top: 20px;
  margin-left: 20px;
  margin-right: 20px;
  
}


.grid-grid-two-cols{
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  margin-bottom: 20px;
  margin-top: 20px;
  margin-left: 20px;
  margin-right: 20px;
}
.container-grid-four-cols{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 20px;
  margin-bottom: 20px;
  margin-top: 20px;
  margin-left: 20px;
  margin-right: 20px;  
}
thead{
  background-color: var(--dark-color);
  color: var(--bg-color);
  text-transform: capitalize;
  letter-spacing: 0.1rem;
  font-size: 1.7rem;
  padding: 3rem;
  border: 0.2rem solid var(--dark-color);
  text-align: center;
  letter-spacing: 0.1rem;
  color: var(--dark-color);
}
thead th {
  white-space: nowrap;
}

.admin-section-form{
  background-color: var(--bg-color);
  max-width: 60rem;
  padding: 0 10rem;
  color: var(--dark-color);
  margin-left: 10rem;
  & form{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    margin-bottom: 20px;
    margin-top: 20px;
    margin-left: 20px;
    margin-right: 20px;
  }
  & div{
    display: grid;
  }
  & input {
    background-color: var(--help-color);
    border: 0.2rem solid var(--dark-color);
    padding: 1rem 2.2rem;
    color: var(--dark-color);
  }
  & input, button {
    max-width: 30rem;
  }
}

.admin-contacts-section tr{
  display: grid;
  align-items: center;
  justify-content: center;
  grid-template-columns: repeat(5,minmax(10rem, 1fr));
  margin-bottom: 2px;
  border-bottom: 2px solid transparent;
  color: var(--bg-color);
  box-shadow: 0 0.3rem 0 grey;
  & :last-child {
    box-shadow: none;
  }
}

.admin-contacts-section {
  padding: 2rem 1rem ;
}

.contact-content{
  
}
.contacts-section
.contact-content-container{

}

